import { Observable, OperatorFunction } from 'rxjs';
import { Action, AppState, HasEffectMetadata } from './models';
export declare function ofType(...allowedTypes: string[]): OperatorFunction<Action, Action>;
export declare function select<T, R>(mapFn: (state: T) => R): import("rxjs").UnaryFunction<Observable<T>, Observable<R>>;
export declare function miniRxError(message: string): never;
export declare function miniRxConsoleError(message: string, err: any): void;
/** @internal */
export declare function hasEffectMetaData(param: Observable<Action>): param is Observable<Action> & HasEffectMetadata;
export declare function generateId(): string;
export declare function beautifyActionForLogging(action: Action, state: AppState): Action;
